[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Fedora-legal-list] Openssl license "infectivness" and GPLv2 compatibility



>>>>> "MH" == Michal Hlavinka <mhlavink redhat com> writes:

MH> 1) Is apcupsd allowed to link against openssl since openssl seems
MH> to be incompatible with GPLv2? [1]

Not without an exception.

MH> 2) Because net-snmp itself is linked against openssl, should not
MH> its license in fact be BSD and MIT and OpenSSL?

Not unless it's statically linked or somehow includes the actual
openssl binary files in the package.

MH> 3) If apcupsd is not allowed to link against openssl, is it
MH> allowed to link against net-snmp which is linked against openssl?

That's probably a legal question, but I'd say no.

 - J<


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]